@import "../global/fontawesome.min.css";
@import "../global/conversation.css";
@import "../global/generic.css";

.register-form {
  max-width: 460px;
  width: 100%;
  margin: auto;
}
.register-form__title {
  margin: 0 0 2rem 0;
}
.register-form__subtitle {
  margin: .5rem 0 0 0;
}
.register-form__subtitle span {
  font-weight: 500;
}

.register-form__return-icon {
  margin: 0 0 2.5rem 0;
}

.register-form__return-icon a {
  color: var(--grey-color);;
  cursor: pointer;
}

form {
  max-width: 426px;
}
.form__field label {
  font-weight: 700;
  color: var(--black-color);
}
.form__field {
  margin: 0 0 21px 0;
}
.form__field div:first-child {
  margin: 0 0  13px 0;
}

.button--blue, .button--white {
  height: 42px;
  border-radius: 5px;
  font-weight: 700;
  cursor: pointer;
  max-width: initial !important;
}

.button--blue {
  background-color: var(--color-tertiary);
  color: var(--white-color);
  border: unset;
}

.button--white {
  background-color: transparent !important;
  color: var(--blue-color) !important;
  border: 1px solid var(--blue-color) !important;
}

input {
  border: 1px solid #777777;
  height: 48px;
  border-radius: 5px;
  padding-inline: 19px;
  box-sizing: border-box;
  max-width: 446px;
  width: 100%;
}
input:not(#email) {
  max-width: 201px;
  width: 100%;
}

@media only screen and (max-width: 428px) {
  .form__field div:nth-child(2) {
    flex-wrap: wrap;
    width: 100%;
  }
  .form__field div:nth-child(2) input {
    max-width: unset !important;
    width: 100%;
  }
  .form__button {
    max-width: unset !important;
    width: 100%;
    float: unset;
    display: block;
  }

  .form__button button {
    width: 100%;
    max-width: 100%;
  }
}
